var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconExcellentArealityComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? true : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-excellent-areality").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : '#000', viewBox: "0 0 16 16" }, rest, { ref: ref }),
        React.createElement("path", { d: "M13.716 6.7c-.404-.49-1.065-.49-1.282-.49h-1.742c.141-.762.261-1.647.003-2.582-.178-.643-.503-1.1-.997-1.395a1.549 1.549 0 0 0-.8-.233c-.718 0-1.255.53-1.336 1.32-.03.296-.058.576-.128.816-.264.882-.906 1.555-1.5 2.095-.222.199-.458.555-.461.955a433.79 433.79 0 0 0-.01 3.244l-.001 1.951c-.003.653.346 1.179.928 1.404.307.124.632.193.97.203.537.007 1.077.007 1.583.007h.788c.515 0 1.03 0 1.548.005h.017c.602 0 1.075-.3 1.3-.821l.066-.153c.157-.359.317-.73.417-1.143.305-1.254.622-2.597.878-3.916.102-.523.022-.95-.241-1.267Zm-10.14-.45H3.41A1.41 1.41 0 0 0 2 7.655v4.808a1.41 1.41 0 0 0 1.411 1.406h.165a1.41 1.41 0 0 0 1.41-1.406V7.655a1.41 1.41 0 0 0-1.41-1.406Z" }));
}
var IconExcellentAreality = React.forwardRef(IconExcellentArealityComponent);
export default IconExcellentAreality;
